summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2015-11-23 05:16:04 -0500
committerMike Frysinger <vapier@gentoo.org>2015-11-23 05:21:58 -0500
commit03d8ab7d71176b80b20abb3309be3c294717676e (patch)
tree7e2cfb9547bfc994d9c1d290c62fd65bb5618842
parentsys-devel/binutils-libs: add multitarget & 64-bit bfd support (diff)
downloadgentoo-03d8ab7d71176b80b20abb3309be3c294717676e.tar.gz
gentoo-03d8ab7d71176b80b20abb3309be3c294717676e.tar.bz2
gentoo-03d8ab7d71176b80b20abb3309be3c294717676e.zip
toolchain-binutils.eclass: use our libdir/includedir paths w/cross-compilers #562460
Upstream tried to make the default install of bfd/opcodes libs and headers a bit smoother when dealing with cross-compilers (so native and cross files wouldn't collide), but they ended up breaking cases where the package builder already took care of using unique paths. Force the builds to use our configure paths to avoid that. URL: https://www.sourceware.org/ml/binutils/2002-05/msg00184.html
-rw-r--r--eclass/toolchain-binutils.eclass7
1 files changed, 7 insertions, 0 deletions
diff --git a/eclass/toolchain-binutils.eclass b/eclass/toolchain-binutils.eclass
index 08024cc91f1..9d513ad0c4d 100644
--- a/eclass/toolchain-binutils.eclass
+++ b/eclass/toolchain-binutils.eclass
@@ -164,6 +164,13 @@ tc-binutils_apply_patches() {
fi
fi
[[ ${#PATCHES[@]} -gt 0 ]] && epatch "${PATCHES[@]}"
+
+ # Make sure our explicit libdir paths don't get clobbered. #562460
+ sed -i \
+ -e 's:@bfdlibdir@:@libdir@:g' \
+ -e 's:@bfdincludedir@:@includedir@:g' \
+ {bfd,opcodes}/Makefile.in || die
+
epatch_user
fi